# Uses of Class
org.jmol.script.ScriptEval

Packages that use ScriptEval
Package
Description
org.jmol.adapter.readers.pdb
org.jmol.script
org.jmol.scriptext

## Uses of ScriptEval in org.jmol.adapter.readers.pdb

Methods in org.jmol.adapter.readers.pdb with parameters of type ScriptEval
Modifier and Type
Method
Description
`Object[]`
JmolDataReader.`getJmolDataFrameProperties(ScriptEval e, int tok, int[] propToks, String[] props, BS bs, P3 minXYZ, P3 maxXYZ, String format, boolean isPdbFormat)`

## Uses of ScriptEval in org.jmol.script

Methods in org.jmol.script that return ScriptEval
Modifier and Type
Method
Description
`ScriptEval`
ScriptEval.`setViewer(Viewer vwr)`
Constructors in org.jmol.script with parameters of type ScriptEval
Modifier
Constructor
Description
``
`ScriptInterruption(ScriptEval eval, String why, int millis)`

## Uses of ScriptEval in org.jmol.scriptext

Fields in org.jmol.scriptext declared as ScriptEval
Modifier and Type
Field
Description
`protected ScriptEval`
ScriptExt.`e`
Methods in org.jmol.scriptext with parameters of type ScriptEval
Modifier and Type
Method
Description
`protected float`
ScriptExt.`getColorTrans(ScriptEval eval, int i, boolean allowNone, int[] ret)`
Checks color, translucent, opaque parameters.